/* This code is GPL'ed !! See LICENSE
 * This file contains file-manipulation code.
 */

#include "hdr.h"
#include <string.h>

void inttochar(int liczba, char* output)
{
	int a = liczba;
	int i = 3;
	output[4] = '\0';
	for(i = 3; i >= 0; i--)
	{
		output[i] = a % 10 + '0';
		a = a/10;
	}
}

plansza* wczytajplansze(char* sciezka, int nrplanszy)
{
	int i, j;
	char k;
	char nr[5];
	char level[1024]; /* here will be the path to the file with level created*/
	
	FILE* plik;
	plansza* pla = (plansza*)malloc(sizeof(plansza));
	pla->numOfBirds = 0;
	pla->numOfGravs = 0;
	pla->createdGravs = 0;
	inttochar(nrplanszy, nr);
	strcpy(level, sciezka);
	strcat(level, "/mining-haze/lvl-");
	strcat(level, nr);
		
	plik = fopen (level, "rb");
	for (j=0; j < 23; j++)
	{	
		for (i=0; i < 80; i++)
		{	
			fread(&k, sizeof(char), 1, plik);
			switch (k)
			{	
				case 'H': pla->tab[j][i] = (int)'H' | COLOR_PAIR(SCIANA); break; //sciana
				case '`': pla->tab[j][i] = IS_DIRT; break; /* dirt */
				case 's': pla->tab[j][i] = IS_PLAYER; break; //ludzik
				case 'b': pla->tab[j][i] = IS_STONE; pla->numOfGravs++; pla->createdGravs++; break; //bomba
				case '.': pla->tab[j][i] = IS_GEM; pla->numOfGravs++; pla->createdGravs++; break; //zarcie
				case 'A': pla->tab[j][i] = IS_EXIT; break; //wyjscie
				case '#': pla->tab[j][i] = IS_BIRD; pla->numOfBirds++; pla->numOfGravs += 9; break;
				/* each bird CAN die and create 9 gems! */
				default: pla->tab[j][i] = (int)' ' |COLOR_PAIR(TLO); break; //nic
			}
			pla->gravitables[j][i] = -1;	
		}
		fread(&k, sizeof(char), 1, plik); //enter z konca linii w pliku z plansza
	}
	fscanf(plik, "%hd", &pla->howMuchToEat);
	fclose(plik);
	pla->tabOfBirds = malloc(pla->numOfBirds*sizeof(birds));
	pla->gameflow = 0;
	return pla;
}
