/*		This code is GPL'ed !! See LICENSE
 *      main.c
 */


#include "hdr.h"
#include <string.h>

int main(int argc, char** argv)
{
	plansza* pla;
	short int lvls;
	short int curlvl = 1; /* current level */	
	short int lives = 3; /* how many times you can die ;) */
	char path[1024]; /* path to the directory with levels */
	FILE* fill;
	
	czekaj.tv_sec = 0; 
	czekaj.tv_nsec =  ILECZEKAC;/* global structure for game speed */
	shortwait.tv_sec = 0; 
	shortwait.tv_nsec =  ILECZEKAC/100;

	if(argc == 1)
		strcpy(path, PACKAGE_DATA_DIR);
	else
		strcpy(path, argv[1]);
	
	strcat(path, "/mining-haze/lvls");
	fill = fopen(path, "rt");
	if(fill == NULL)
	{
		fprintf(stderr, "No level file in %s!\n See README for info\n", path);
		exit (1);
	}
	fscanf(fill, "%hd", &lvls);
	fclose(fill);
	/* read number of levels in the package */
	
	initscreen();
	for(curlvl = 1; curlvl <= lvls && lives > 0; curlvl++)
	{		
		if(argc == 1)
			pla = wczytajplansze(PACKAGE_DATA_DIR, curlvl);
		else
			pla = wczytajplansze(argv[1], curlvl);
		
		inicjujplansze(pla, lives, curlvl);
		mainloop ((void*)pla);
		
		if(pla->gameflow == 1)
		{
			curlvl--;
			lives--;
		}
			
		koniecgry(pla);
	}
	endwin();
	return 0;
}
