/* This code is GPL'ed !! See LICENSE
 * This file contains functions for bird control.
 */

#include "hdr.h"

void fly(plansza* pla)
{
	int i;
	short int newy;
		
	birds* me;
	for (i = 0; i < pla->numOfBirds; i++)
	{
		me = &(pla->tabOfBirds[i]);
		if(me->x != -1)
		{		
			if(checkdead(me->x, me->y, pla) == 0)
			{
				me->x = -1;
				continue;
			}
			if(pla->tab[me->y+me->movex][me->x-me->movey] == IS_SPACE) /* space on our right */
			{
				/* we turn right */
				newy = me->movex;
				me->movex = -me->movey;
				me->movey = newy;
			}
			else if(pla->tab[me->y+me->movey][me->x+me->movex] != IS_SPACE) /*we can't go...*/
			{
				/* we turn left */
				newy = -me->movex;
				me->movex = me->movey;
				me->movey = newy;
			}
		
			if(pla->tab[me->y+me->movey][me->x+me->movex] == IS_SPACE)
			{ /* if we CAN fly, we fly by the computed vector: */
				pla->tab[me->y][me->x] = IS_SPACE;
				mvaddch(me->y, me->x, IS_SPACE);
				me->y += me->movey;
				me->x += me->movex;
				pla->tab[me->y][me->x] = IS_BIRD;
				mvaddch(me->y, me->x, IS_BIRD);			
			}
			if(blowBird(pla, i) == 0)
			{
				addexpl(pla, me->y, me->x, IS_GEM);
				me->x = -1;
			}
		}
	}
}

short int blowBird(plansza* pla, short int whichBird)
{
	birds* me = &(pla->tabOfBirds[whichBird]);
	/*FIXME could be less expensive?*/
	if(pla->tab[me->y+1][me->x] == IS_PLAYER || \
	   pla->tab[me->y-1][me->x] == IS_PLAYER || \
	   pla->tab[me->y][me->x+1] == IS_PLAYER || \
	   pla->tab[me->y+1][me->x+1] == IS_PLAYER || \
	   pla->tab[me->y-1][me->x+1] == IS_PLAYER || \
	   pla->tab[me->y][me->x-1] == IS_PLAYER || \
	   pla->tab[me->y+1][me->x-1] == IS_PLAYER || \
	   pla->tab[me->y-1][me->x-1] == IS_PLAYER || \
	   (me->movey == -1 && pla->tab[me->y-1][me->x] == IS_STONE)) /* carambol or player */
		return 0;
	return 1;
	   
}
