/*		This code is GPL'ed !! See LICENSE
 *      ludek.c
 *		This file contains player control routines.
 */

#include "hdr.h"

void watekludka(void* deskryptor_ludka)
{
	int kl; /* key pressed */	
	plansza* pla = (plansza*) deskryptor_ludka;
	
		/* do we die...?? */
		if(pla->tab[pla->gracz->y][pla->gracz->x] == IS_EXPLOSION)
		{
			statusBar(pla->howMuchToEat, pla->gracz->fanty, pla->lives, pla->curlvl, 0);
			pla->gameflow = 1;
			pla->playerAsleep = -2;
			return;
		}				
						
		kl = getch();		
		while(getch() != ERR) {}; /* clean buffer */ /* FIXME */ /* could be more fluent? */
		
		/* FIXME */
		/* if you hit the wall, there should be no block!! */		
		switch (kl)
		{	
			case KEY_DOWN: 
				idx(pla, 0, 1); 
				break;
			case KEY_UP: 
				idx(pla, 0, -1); 
				break;
			case KEY_LEFT: 
				idx(pla, -1, 0); 
				break;
			case KEY_RIGHT: 
				idx(pla, 1, 0); 
				break;
			case KEY_F(10):				
				addexpl(pla, pla->gracz->y, pla->gracz->x, IS_SPACE);
				break;
			default: break;
		}		
		
}


short int idx(plansza* pla, int x, int y)
{
	ludek* me = pla->gracz;
	
	if(	pla->tab[me->y+y][me->x+x] == IS_GEM || \
		pla->tab[me->y+y][me->x+x] == IS_SPACE || \
		pla->tab[me->y+y][me->x+x] == IS_DIRT || \
		(pla->tab[me->y+y][me->x+x] == IS_EXIT && me->fanty >= pla->howMuchToEat))
	{	
		if(pla->tab[me->y+y][me->x+x] == IS_GEM) 
		{
			me->fanty++;			
			statusBar(pla->howMuchToEat, me->fanty, pla->lives, pla->curlvl, 1);
		}
		
		else if(pla->tab[me->y+y][me->x+x] == IS_EXIT) 
		{
			mvaddch(me->y, me->x, IS_SPACE); /* ...and not here! */		
			mvaddch(me->y+y, me->x+x, IS_EXITED);
			pla->tab[me->y+y][me->x+x] = IS_EXITED;
			pla->tab[me->y][me->x] = IS_SPACE;			
			pla->gameflow = 0; /* next level, please! */
			pla->playerAsleep = -2; /* i don't exist anymore! */
			return 1; /* 1 means - killed*/
		}
		
		pla->tab[me->y+y][me->x+x] = IS_PLAYER;
		mvaddch(me->y+y, me->x+x, IS_PLAYER); /* now i'm here!... */
		mvaddch(me->y, me->x, IS_SPACE); /* ...and not here! */		
		pla->tab[me->y][me->x] = IS_SPACE;
		me->y+=y;
		me->x+=x;
	}
	
	else if(pla->tab[me->y][me->x+x] == IS_STONE && \
			y == 0 && \
			pla->tab[me->y][me->x+(2*x)] == IS_SPACE/* && \
			pla->tabOfGravs[pla->gravitables[me->y][me->x+x]].ruch == 1*/) /* move the bomb - vertical only! */
	{	
		pla->tab[me->y][me->x+(2*x)] = IS_STONE;
		pla->tab[me->y][me->x+x] = IS_PLAYER;	
		pla->tab[me->y][me->x] = IS_SPACE;
		mvaddch(me->y, me->x+(2*x), IS_STONE); /* here is bomb */
		mvaddch(me->y, me->x+x, IS_PLAYER); /* now i'm here!... */
		mvaddch(me->y, me->x, IS_SPACE); /* ...and not here! */
		pla->tabOfGravs[pla->gravitables[me->y][me->x+x]].x += x; /* updating bomb's place */
		pla->gravitables[me->y][me->x+(2*x)] = pla->gravitables[me->y][me->x+x];
		pla->gravitables[me->y][me->x+x] = -1;
		me->x+=x; /* phew! much of that! */
	}
	return 0;
}
