/* This code is GPL'ed !! See LICENSE
 * This file contains the supervisory thread functions
 */
#include "hdr.h"

void mainloop(void* plaa)
{
	int end = 0;
	plansza* pla = (plansza*) plaa;
		
	while(end < PAUZAPOSMIERCI)
	{			
		nanosleep(&czekaj, NULL); /* one game step */
		delExplosions(pla);
		showExplosions(pla);
		refresh();
		/* NOW waking up threads. Order is important:
		 * - gravity
		 * - anything else
		 * - player last - for showing results of player's move after this! */
		
		gravity(plaa);
		fly(pla);
		if(pla->playerAsleep != -2)
			watekludka(plaa);	
		else /*if(pla->playerAsleep == -2)*/ /* if player does not exist anymore */
		{
			if(pla->gameflow == 1) /* we just repeat the level */
				end++;
			else if(pla->gameflow == 0) /* we go next level - shorter pause */ 
				end += 4;
		}
	}
		
	/*pla->gravityAsleep = -2;*/ /* at the end we kill all the remaining threads! */
	delExplosions(pla);
	showExplosions(pla);
	refresh();
	
	/*pla->mainloopAsleep = -2;*/
	return;
}
